---
table_name: operations_scopes
classes:
- Operations::FeatureFlags::Scope
feature_categories:
- feature_flags
description: https://docs.gitlab.com/ee/operations/feature_flags.html#feature-flag-strategies
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/24819
milestone: '12.8'
gitlab_schema: gitlab_main_cell
allow_cross_foreign_keys:
- gitlab_main_clusterwide
desired_sharding_key:
  project_id:
    references: projects
    backfill_via:
      parent:
        foreign_key: strategy_id
        table: operations_strategies
        sharding_key: project_id
        belongs_to: strategy
    awaiting_backfill_on_parent: true
table_size: small
